View Issue Details

IDProjectCategoryView StatusLast Update
0000735PartDesignFeaturepublic2013-07-07 17:22
ReporterpperisinAssigned Towmayer 
PrioritynormalSeverityfeatureReproducibilityalways
Status closedResolutionfixed 
Product Version0.12 
Target VersionFixed in Version0.14 
Summary0000735: Feature request for better Fillet/Chamfer
DescriptionHi,

I have already posted about this, but as unathenticated, so I can noit reopen issue. https://sourceforge.net/apps/mantisbt/free-cad/view.php?id=286

I have few more suggestions for fillet/Chanfer in Part workbench:

1 - Right now all checked faces appear as selected in GUI. This is good. However, if user click accidentally on something, all the GUI deselects but checkboxes remain checked. It would be nice to disable accidental clicks alltogether. This means that if user clicks on a empty space, nothing gets to be deselected (similar is when ctrl is clicked and user clicks on an empty space - nothing is deselected).

2 - currently in GUI there is no face preselection/Selection. It would be nice to allow face preselection, but if user clicks to select a face, face is not selected, but all face's edges are selected.

also, this means that in case some face's edges are selected, and user clicks on a face once, then all it's faces will be selected (so not toggle selection so that unselected are selected and selected are unselected - this would not be good)

3 - Also, how about supporting copying of face's colors on making chamfer/Fillet

Regards,
Petar
Additional Informationwin7 64 bit

OpenSUSE 12.1 KDE 4.8
TagsNo tags attached.

Activities

pperisin

2012-06-05 07:55

reporter   ~0002126

sorry, tip feller under 2:

also, this means that in case some face's edges are selected, and user clicks on a face once, then all it's EDGES (not faces, as above) will be selected (so not toggle selection so that unselected are selected and selected are unselected - this would not be good)

wmayer

2013-07-07 12:15

administrator   ~0003349

git show 56295c5 implements point 3

wmayer

2013-07-07 17:22

administrator   ~0003351

git show f43f63d

Issue History

Date Modified Username Field Change
2012-06-05 07:24 pperisin New Issue
2012-06-05 07:55 pperisin Note Added: 0002126
2012-07-01 12:53 yorik Project FreeCAD => PartDesign
2013-06-30 12:48 wmayer Status new => assigned
2013-06-30 12:48 wmayer Assigned To => wmayer
2013-07-07 12:15 wmayer Note Added: 0003349
2013-07-07 17:22 wmayer Note Added: 0003351
2013-07-07 17:22 wmayer Status assigned => closed
2013-07-07 17:22 wmayer Resolution open => fixed
2013-07-07 17:22 wmayer Fixed in Version => 0.14